Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- y

### - r -

- rb_alloc_func_t : ripper.y , intern.h
- rb_atomic_t : ruby_atomic.h
- rb_backtrace_iter_func : vm_core.h
- rb_backtrace_location_t : vm_backtrace.c
- rb_backtrace_t : vm_backtrace.c
- rb_block_call_func : ruby.h , ripper.y
- rb_block_t : vm_core.h
- rb_blocking_function_t : ripper.y , intern.h
- rb_call_info_t : vm_core.h
- rb_check_funcall_hook : ripper.y , internal.h
- rb_classext_t : ruby.h , ripper.y
- rb_compile_option_t : vm_core.h
- rb_const_entry_t : constant.h
- rb_context_t : cont.c
- rb_control_frame_t : vm_core.h
- rb_data_type_t : ripper.y , ruby.h
- rb_debug_inspector_func_t : debug.h
- rb_debug_inspector_t : debug.h
- rb_deprecated_classext_t : classext.h
- rb_digest_hash_finish_func_t : digest.h
- rb_digest_hash_init_func_t : digest.h
- rb_digest_hash_update_func_t : digest.h
- rb_econv_t : ripper.y , encoding.h
- rb_encoding : encoding.h , ripper.y
- rb_event_flag_t : ripper.y , ruby.h
- rb_event_hook_func_t : ripper.y , ruby.h
- rb_event_hook_raw_arg_func_t : vm_trace.c
- rb_event_hook_t : vm_trace.c
- rb_fdset_t : ripper.y , intern.h
- rb_fiber_t : cont.c
- rb_foreach_func : hash.c
- rb_global_vm_lock_t : thread_pthread.h , thread_win32.h
- rb_gvar_getter_t : ripper.y , ruby.h
- rb_gvar_marker_t : ripper.y , ruby.h
- rb_gvar_setter_t : ripper.y , ruby.h
- rb_hash_update_func : ripper.y , intern.h
- rb_hook_list_t : vm_core.h
- rb_insn_func_t : vm_core.h
- rb_io_t : io.h
- rb_iseq_location_t : vm_core.h
- rb_iseq_t : method.h
- rb_jmpbuf_t : vm_core.h
- rb_magic_comment_length_t : ripper.c , parse.c
- rb_magic_comment_setter_t : ripper.c , parse.c
- rb_method_attr_t : method.h
- rb_method_cfunc_t : method.h
- rb_method_definition_t : method.h
- rb_method_entry_t : method.h
- rb_mutex_t : thread.c
- rb_num_t : vm_core.h
- rb_objspace_t : gc.c
- rb_thread_cond_t : thread_pthread.h , thread_win32.h
- rb_thread_id_t : thread_win32.h , thread_pthread.h
- rb_thread_list_t : vm_core.h
- rb_thread_lock_t : thread_win32.h , thread_pthread.h
- rb_thread_t : vm_core.h
- rb_tp_t : vm_trace.c
- rb_trace_arg_t : debug.h
- rb_transcoder : transcode_data.h
- rb_transcoding : transcode.c
- rb_unblock_function_t : intern.h , ripper.y
- rb_vm_t : vm_core.h
- regex_t : oniguruma.h , ripper.y
- Regexp : re.h
- regoff_t : regexec.c
- RelAddrType : regint.h
- RepeatNumType : regint.h
- ruby_check_marshal_viral_flags : marshal.c
- ruby_check_sizeof_int : ripper.y , ruby.h
- ruby_check_sizeof_long : ruby.h , ripper.y
- ruby_check_sizeof_voidp : ripper.y , ruby.h
- RUBY_DATA_FUNC : ripper.y , ruby.h
- ruby_glob_func : ripper.y , ruby.h
- ruby_sigaction_t : signal.c
- ruby_vm_t : vm.h
- RVALUE : gc.c